print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecocacola = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cocacolaHudFile = "Paletten/hud_fill_cocacola.dds"
	local cocacolaHudFileSmall = "Paletten/hud_fill_cocacola_small.dds"
	
    local cocacolaFilType = g_fillTypeManager:addFillType("COCACOLA", g_i18n:getText("cocacola"), true, pricecocacola * 2.0, 0.00045, math.rad(10), cocacolaHudFile, cocacolaHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascocacola=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascocacola=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COCACOLA" then
		hascocacola=true
	end;
		
end;

		if hasmaize and not hascocacola then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COCACOLA")
		local price = g_fillTypeManager:getFillTypeByName("COCACOLA").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COCACOLA")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)